---
title: Get
url: https://www.tines.com/docs/api/cases/get/
updated: 2026-06-10T10:57:11+00:00
description: Retrieve a single case.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md)*

# Get

*[View on tines.com](https://www.tines.com/docs/api/cases/get/)*

## Description

Retrieve a single case.

## Request

HTTP Method: **GET**

| Parameter        | Description                                                                                                                     |
| ---------------- | ------------------------------------------------------------------------------------------------------------------------------- |
| case_id          | The ID of the case to retrieve.                                                                                                 |
| resolve_mentions | **Optional** When set to `true`, replaces mention tokens in the response's text fields with display names. Defaults to `false`. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v2/cases/<<case_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON object representing the specified case.

### Field description

| Parameter          | Description                                                                                                                           |
| ------------------ | ------------------------------------------------------------------------------------------------------------------------------------- |
| case_id            | The ID of the case.                                                                                                                   |
| name               | The case name.                                                                                                                        |
| description        | The case description.                                                                                                                 |
| status             | The case status - open or closed.                                                                                                     |
| sub_status         | An object describing the case sub-status.                                                                                             |
| url                | The case URL.                                                                                                                         |
| metadata           | Case related metadata represented as key-value pairs.                                                                                 |
| author             | An object describing the case author.                                                                                                 |
| opened_by          | An object describing the user who opened the case.                                                                                    |
| resolved_by        | An object describing the user who resolved the case.                                                                                  |
| assignees          | An array of users assigned to the case.                                                                                               |
| tags               | An array of tags associated with the case.                                                                                            |
| activities         | An array of team case actions taken within the case.                                                                                  |
| activities_meta    | Metadata defining pagination params required to fetch additional activities for the case.                                             |
| team               | The team the case is within - ID & name.                                                                                              |
| actions            | An array of case actions for downstream actions associated with the case.                                                             |
| fields             | An array of field values for the case.                                                                                                |
| linked_cases       | An array of cases linked to this case - ID & name.                                                                                    |
| linked_cases_meta  | Metadata defining pagination params required to fetch additional linked cases for the case.                                           |
| sla                | An object describing the case SLA status. Times are in seconds.                                                                       |
| slas               | An an array of SLAs for the case. Times are in seconds.                                                                               |
| opened_at          | ISO 8601 Timestamp representing the date and time the case was opened at.                                                             |
| resolved_at        | ISO 8601 Timestamp representing the date and time the case was resolved at.                                                           |
| created_at         | ISO 8601 Timestamp representing the date and time the case was created at.                                                            |
| updated_at         | ISO 8601 Timestamp representing the date and time the case was updated at.                                                            |
| records            | An array of records associated with the case, grouped by record type.                                                                 |
| records_meta       | Metadata defining pagination params required to fetch additional records for the case.                                                |
| priority           | The case priority - critical, high, medium, low or info.                                                                              |
| closure_conditions | An array of closure requirements in the form of a set of formula rules that need to evaluate to true to enable the closing of a case. |
| blocks             | An array of block objects specifying the block title, slug, type, position, visibility, group, and element ids.                       |
| tasks              | An array of tasks associated with the case.                                                                                           |

#### Task object fields

| Parameter   | Description                                                                |
| ----------- | -------------------------------------------------------------------------- |
| id          | The task ID.                                                               |
| description | The task description.                                                      |
| completed   | Boolean indicating whether the task is completed.                          |
| assignees   | An array of users assigned to the task.                                    |
| created_at  | ISO 8601 Timestamp representing the date and time the task was created at. |
| updated_at  | ISO 8601 Timestamp representing the date and time the task was updated at. |

#### Task assignee object fields

| Parameter  | Description            |
| ---------- | ---------------------- |
| id         | The user ID.           |
| email      | The user email.        |
| first_name | The user's first name. |
| last_name  | The user's last name.  |

### Sample response

<!-- cspell:disable -->

```json
{
  "case_id": 1,
  "name": "Case 1..25",
  "description": null,
  "status": "OPEN",
  "sub_status": {
    "id": 1,
    "name": "To do"
  },
  "priority": "LOW",
  "url": "http://<tenant-domain>/team/276/cases/1",
  "metadata": {
    "foo": "bar"
  },
  "author": {
    "user_id": "168",
    "first_name": "Example",
    "last_name": "Person",
    "email": "person_2@example.com",
    "avatar_url": "",
    "is_service_account": false
  },
  "opened_by": null,
  "resolved_by": null,
  "assignees": [
    {
      "user_id": "176",
      "first_name": "Example",
      "last_name": "Person",
      "email": "person_10@example.com",
      "avatar_url": "",
      "is_service_account": false
    },
    {
      "user_id": "178",
      "first_name": "Example",
      "last_name": "Person",
      "email": "person_12@example.com",
      "avatar_url": "",
      "is_service_account": false
    },
    {
      "user_id": "180",
      "first_name": "Example",
      "last_name": "Person",
      "email": "person_14@example.com",
      "avatar_url": "",
      "is_service_account": false
    }
  ],
  "tags": [
    {
      "id": 7,
      "name": "Tag 1"
    },
    {
      "id": 8,
      "name": "Tag 2"
    },
    {
      "id": 9,
      "name": "Tag 3"
    }
  ],
  "sla": {
    "remaining_time_seconds": 0,
    "current_time_seconds": 0,
    "percent_elapsed": 0,
    "exceeded": false,
    "sla_type": "completion"
  },
  "slas": [
    {
      "remaining_time_seconds": 0,
      "current_time_seconds": 0,
      "percent_elapsed": 0,
      "exceeded": false,
      "sla_type": "completion"
    },
    {
      "remaining_time_seconds": 0,
      "current_time_seconds": 0,
      "percent_elapsed": 100,
      "exceeded": true,
      "sla_type": "response"
    }
  ],
  "fields": [
    {
      "id": 1,
      "value": "Windows 11",
      "case_input": {
        "id": 1,
        "key": "operating_system",
        "name": "Operating system",
        "validation_type": "none",
        "validation_options": {}
      }
    }
  ],
  "activities": [
    {
      "id": 109,
      "activity_type": "CREATED",
      "value": "115",
      "user": {
        "user_id": "168",
        "first_name": "Example",
        "last_name": "Person",
        "email": "person_2@example.com",
        "avatar_url": "",
        "is_service_account": false
      },
      "created_at": "2024-03-25T15:40:39Z"
    },
    {
      "id": 111,
      "activity_type": "COMMENTED",
      "value": "I'm a comment",
      "user": {
        "user_id": "170",
        "first_name": "Example",
        "last_name": "Person",
        "email": "person_4@example.com",
        "avatar_url": "",
        "is_service_account": false
      },
      "created_at": "2024-03-25T15:40:39Z"
    },
    {
      "id": 113,
      "activity_type": "COMMENTED",
      "value": "I'm a comment",
      "user": {
        "user_id": "172",
        "first_name": "Example",
        "last_name": "Person",
        "email": "person_6@example.com",
        "avatar_url": "",
        "is_service_account": false
      },
      "created_at": "2024-03-25T15:40:39Z"
    }
  ],
  "team": {
    "id": 276,
    "name": "Test team 1"
  },
  "linked_cases": [
    { "case_id": 2, "name": "Case 2" },
    { "case_id": 3, "name": "Case 3" }
  ],
  "closure_conditions": [
    {
      "formula": "=SIZE(team_case.assignees) > 2",
      "name": "Number of assignees"
    }
  ],
  "opened_at": "2024-03-25T15:40:39Z",
  "resolved_at": null,
  "created_at": "2024-03-25T15:40:39Z",
  "updated_at": "2024-03-25T15:40:39Z",
  "records": [
    {
      "record_type_id": 55,
      "record_type_name": "Record type 2",
      "record_type_record_results": [
        {
          "id": 59,
          "results": [
            {
              "id": 59110,
              "name": "Timestamp",
              "value": "2024-04-16T08:02:03Z"
            },
            {
              "id": 59109,
              "name": "Story name",
              "value": "Alert investigation"
            }
          ],
          "created_at": "2024-04-16T08:02:03Z"
        },
        {
          "id": 58,
          "results": [
            {
              "id": 58110,
              "name": "Timestamp",
              "value": "2024-04-16T08:02:03Z"
            },
            {
              "id": 58109,
              "name": "Story name",
              "value": "Alert investigation #1"
            }
          ],
          "created_at": "2024-04-16T08:02:03Z"
        }
      ]
    },
    {
      "record_type_id": 54,
      "record_type_name": "Record type 1",
      "record_type_record_results": [
        {
          "id": 56,
          "results": [
            {
              "id": 56108,
              "name": "Timestamp",
              "value": "2024-04-16T08:02:03Z"
            },
            {
              "id": 56107,
              "name": "Story name",
              "value": "Alert investigation #2"
            }
          ],
          "created_at": "2024-04-16T08:02:03Z"
        },
        {
          "id": 55,
          "results": [
            {
              "id": 55108,
              "name": "Timestamp",
              "value": "2024-04-16T08:02:03Z"
            },
            {
              "id": 55107,
              "name": "Story name",
              "value": "Alert investigation #3"
            }
          ],
          "created_at": "2024-04-16T08:02:03Z"
        }
      ]
    }
  ],
  "actions": [
    {
      "id": 7,
      "url": "http://example.com",
      "label": "Hello, world!",
      "action_type": "page"
    }
  ],
  "blocks": [
    {
      "id": 1,
      "title": "Notes",
      "slug": "blk_notes",
      "block_type": "note",
      "position": 1,
      "hidden": false,
      "block_group_id": null,
      "elements": [
        { "element_id": 54, "id": 54 },
        { "element_id": 674, "id": 674 },
        { "element_id": 524, "id": 524 }
      ]
    },
    {
      "id": 2,
      "title": "Additional notes",
      "slug": "blk_additional_notes",
      "block_type": "note",
      "position": 2,
      "hidden": false,
      "block_group_id": null,
      "elements": [
        { "element_id": 235, "id": 235 },
        { "element_id": 342, "id": 342 },
        { "element_id": 744, "id": 744 }
      ]
    }
  ],
  "tasks": [
    {
      "id": 1,
      "description": "Review security logs",
      "completed": false,
      "assignees": [
        {
          "id": "123",
          "email": "user1@example.com",
          "first_name": "John",
          "last_name": "Doe"
        },
        {
          "id": "456",
          "email": "user2@example.com",
          "first_name": "Jane",
          "last_name": "Smith"
        }
      ],
      "created_at": "2024-03-25T15:40:39Z",
      "updated_at": "2024-03-25T15:40:39Z"
    },
    {
      "id": 2,
      "description": "Contact affected users",
      "completed": true,
      "assignees": [
        {
          "id": "789",
          "email": "user3@example.com",
          "first_name": "Bob",
          "last_name": "Johnson"
        }
      ],
      "created_at": "2024-03-25T15:30:20Z",
      "updated_at": "2024-03-25T16:15:45Z"
    }
  ],
  "activities_meta": {
    "current_page": "https://<tenant-domain>/api/v2/cases/1/activities?per_page=20&page=1",
    "previous_page": null,
    "next_page": null,
    "next_page_number": null,
    "per_page": 20,
    "pages": 1,
    "count": 3
  },
  "records_meta": {
    "current_page": "https://<tenant-domain>/api/v2/cases/1/records?per_page=20&page=1",
    "previous_page": null,
    "next_page": null,
    "next_page_number": null,
    "per_page": 20,
    "pages": 1,
    "count": 2
  },
  "linked_cases_meta": {
    "current_page": "https://<tenant-domain>/api/v2/cases/1/linked_cases?per_page=50&page=1",
    "previous_page": null,
    "next_page": null,
    "next_page_number": null,
    "per_page": 50,
    "pages": 1,
    "count": 2
  }
}
```

<!-- cspell:enable -->
